package com.hys.app.model.erp.dto;

import com.hys.app.model.erp.vo.GoodsVO;
import com.hys.app.model.erp.vo.ProductVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 库存盘点单产品实体DTO
 *
 * @author dmy
 * 2023-12-05
 */
@Data
public class StockInventoryProductDTO implements Serializable {

    private static final long serialVersionUID = -6285460490304810323L;



    @ApiModelProperty(name = "goods_id", value = "SKUID", required = true)
    @NotNull(message = "SKUID不能为空")
    private Long productId;

    /**
     * 盘点数量
     */
    @ApiModelProperty(name = "inventory_num", value = "盘点数量", required = true)
    @NotNull(message = "盘点数量不能为空")
    private Integer inventoryNum;

    /**
     * 差异数量
     */
    @ApiModelProperty(name = "diff_num", value = "差异数量", required = true)
    @NotNull(message = "差异数量不能为空")
    private Integer diffNum;

    private GoodsVO goodsVO;

    private ProductVO productVO;

    @ApiModelProperty(name = "usable_stock", value = "可用库存")
    private Integer usableStock;
}
