package com.hys.app.service.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.WarehouseAreaDO;
import com.hys.app.model.erp.dos.WarehouseOutItemDO;
import com.hys.app.model.erp.dto.WarehouseAreaQueryParams;
import com.hys.app.model.erp.dto.WarehouseOutItemQueryParams;
import com.hys.app.model.erp.vo.WarehouseAreaVO;
import com.hys.app.model.erp.vo.WarehouseOutItemVO;

import java.util.List;

/**
 * 出库单商品明细业务层接口
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
public interface WarehouseAreaManager extends BaseService<WarehouseAreaDO> {
    /**
     * 分页列表
     *
     * @param queryParams 查询条件
     * @return 分页数据
     */
    WebPage<WarehouseAreaVO> list(WarehouseAreaQueryParams queryParams);

    WarehouseAreaVO getDetail(Long id);

    void delete(Long id);
    void add(WarehouseAreaDO warehouseAreaDO);

    void edit(WarehouseAreaDO warehouseAreaDO);

}

